This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303992 - User can delete himself
User can delete himself
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 3
Assigned To: Sankarshan Mukhopadhyay
sds-qe-bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 11:01 EST by Lubos Trilety
Modified: 2017-03-23 00:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ui-0.0.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:10:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2016-02-02 11:01:18 EST
Description of problem:
Admin user is able to delete any user even himself and even when there is no other user.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-1.el7.x86_64
rhscon-ceph-0.0.6-1.el7.x86_64
rhscon-ui-0.0.7-1.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1. Go to Admin page and try to delete an user which is currently logged in

Actual results:
User is deleted. After any click it fails and so the page is re-routed to log page. However the session is still active so it's not possible to log as any user. Only possibility is to remove saved cookies from the browser.

Expected results:
User should not be able to remove himself from the user list.

Additional info:
Note that if the last user is removed clear of browser cookies doesn't help.
Comment 1 Dhivya Sivaprakasam 2016-02-09 04:18:46 EST
https://review.gerrithub.io/#/c/262381/
Comment 4 Martin Kudlej 2016-07-01 07:32:44 EDT
Tested with rhscon-ui-0.0.43-1.el7scon.noarch and I still see issue. ->Assigned

Note You need to log in before you can comment on or make changes to this bug.